{
	saved_FirstTime[0]
	
	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			PlayAnimation(7);
			SetNationality(1);
			SetState_Idle();
			
			 gun = Random(1,2,3);
	 		switch(gun)
	 		{
	 			case 1 { GiveWeapon(56); } 
	 			case 2 { GiveWeapon(53); } 
	 			case 3 { GiveWeapon(55); } 
			}
		}	
	}]
	
	GoBrave[ ()   
	{
		brave = Random(1,2);
		switch(brave)
		{
			case 1 { SetAttackDistance ( 15, 2); SetState_Patrol( 0 ); SetLineOfSight( 1 ); SetWalkToDist(Random(1,8)); }
			case 2 { SetAttackDistance ( 15, 2); SetState_Patrol( 1 ); SetLineOfSight( 1 ); SetWalkToDist(Random(4,10)); }
		}
	}]
}